server:
  port: 48080

# 注意：
# 1. 修改服务器内网IP：ip addr show dev eth0 (一般是 eth0: 172.19.0.7)
# 2. 修改内置数据库：mysql库 -> user表 -> root用户的 Host 改为 % (默认有不用改)
# 3. 修改内置Redis conf：bind 172.19.0.7 (重启)

# 远程抓取的链接
HTTP_BASE_URI: http://127.0.0.1:48080
HTTP_BASE_STATIC: http://127.0.0.1:48080
HTTP_ACTUATOR_URI: https://jsonplaceholder.typicode.com

# 是否开启API日志 (true|false)
API_LOG: true

# [Redis] 缓存键值前缀
REDIS_LOGIN_TOKEN_PREFIX: "backendsys:local:login:token:"


log-stream:
  enable: true
  sign: 97e3ef8e-a8b9-46f3-b63a-f0504154efb7
  charset: UTF-8 # GBK #
  exec: 'powershell -Command "Get-Content -Path D:\CodeJava\QuickLaunchSpring\BackendSys\logs\backendsys.log -Wait"'

spring:
  application:
    name: backendsys
  config:
    name: application-local
  datasource:
    driver-class-name: com.mysql.cj.jdbc.Driver
    url: jdbc:mysql://127.0.0.1:3306/backendsys?useUnicode=true&
      characterEncoding=UTF-8&
      useJDBCCompliantTimezoneShift=true&
      useLegacyDatetimeCode=false&
      serverTimezone=Asia/Shanghai&
      allowMultiQueries=true&
      rewriteBatchedStatements=true&
      useAffectedRows=true
    username: root
    password: 123456
  data:
    redis:
      host: 127.0.0.1
      port: 6388
      password: 123456
#    cache:
#      type: redis
#      redis:
#        time-to-live: 10000 # 缓存的默认过期时间（毫秒）(与 @Cacheable 缓存时间关联)


springdoc:
  swagger-ui:
    path: /swagger-ui.html #自定义swagger-ui HTML文档路径
  api-docs:
    path: /docs/api
    enabled: true
    operations-sorter: method
  # 进行文档分组每个组配置对应的请求路径以及区分所在包
  group-configs:
    - group: 'system'
      paths-to-match: '/api/v2/system/**'
      packages-to-scan: com.backendsys.modules.system

# 本地上传
file:
  upload:

    # (Ubuntu)
    # directory: /home/www/project/BackendSys/uploads/
    # (Windows)
    directory: D://CodeJava//QuickLaunchSpring//BackendSys//uploads//
    # (MacOS)
    # directory: /Users/mure/MyProject/QuickLaunchSpring/BackendSys/uploads/

    max-size: 5242880      # 上传的最大大小限制 (5MB)
    url-prefix: /uploads/  # 指定文件访问的 URL前缀
    # allowed-types        # 允许上传的文件类型（扩展名）列表
    # overwrite-existing   # 是否允许覆盖同名
    # timeout              # 上传的超时时间
    # temp-directory       # 临时文件目录

# 阿里云
aliyun:
  # 阿里云OSS -> 创建Blcket -> 深圳/本地冗余/公有读私有写 (注意配置正式时，要设置 自定义域名、防盗链、跨域)
  oss:
    # 上传的最大大小限制 (5MB)
    max-size: 1073741824
    access-key-id: LTAI5t67boTxvH8QGKcc8cJ4
    access-key-secret: Z6Mzpgv2zhKWZCjrl7YQ2Tw1iu5nHp
    endpoint: oss-cn-shenzhen.aliyuncs.com
    bucket-name: backendsys
    # accessible-domain: 可访问域名，如果设置了自定义域名，此处要同步修改
    accessible-domain: https://backendsys.oss-cn-shenzhen.aliyuncs.com
  # 通义万相
  dashscope:
    url: https://dashscope.aliyuncs.com
    api-key: sk-98c803b84a434b6d860eee1d690a03a5


# 腾讯云
tencent:
  facefusion:
    secret-id: AKIDlNn7F9tRlCWsIe7d3IOM9mAIRhsIfxAV
    secret-key: c9Zt0sa5UzQf4HNOURAetFYfehqwpolc
  sms:
    debug: false
    secret-id: AKIDITiApJZjt27AEOhzA92467Nbilw4RyRp
    secret-key: iMqEZ3hVbwUwU3cBrXCpPH27968LUViu
    sdk-app-id: 1400892090            # 短信 - 应用管理 - 应用列表
    sign-name: 汕头市稻谷文化传媒        # 短信 - 国内/外短信 - 签名管理 - 签名内容
    template-id-of-common: 2136771   # 短信 - 国内/外短信 - 正文模板管理 - ID (普通短信/通用验证码)
  hunyuan:
    region: ap-guangzhou
    secret-id: AKID3zlNxRjstjnohWFnDUfeVBj3CJH7mFaK
    secret-key: IXgzFKB71rXOCxlS4BTdtCYuJbP8h7Xr
  cos:
    # 上传的最大大小限制 (5MB = 5242880) (1GB = 1073741824)
    max-size: 5242880 # (即将删除)
    # ------------------------------------------------------
    secret-id: AKID3zlNxRjstjnohWFnDUfeVBj3CJH7mFaK
    secret-key: IXgzFKB71rXOCxlS4BTdtCYuJbP8h7Xr
    # ------------------------------------------------------
    secret-id-temp: AKIDVuCIAoKiuzyqV1hIo8HEJtKcm8NWXkx4
    secret-key-temp: 763nQwV0JPQDsLYeeaWL4atMhvynaGjy
    # ------------------------------------------------------
    # 香港
    region: ap-hongkong
    bucket-name: storage-1320301544
    accessible-domain: http://cos.daoguyujia.com
#    # 广州
#    region: ap-guangzhou
#    bucket-name: duanju3-1320301544
#    accessible-domain: https://duanju3-1320301544.cos.ap-hongkong.myqcloud.com

  ivh:
    empty-app-key: 283ca6dc9d4147debc60bf9fc3fbbe03         # 空数据账号 (我自己的子账号)
    empty-access-token: eea44503a2f64c119fb0acd2006dacb0
#    app-key: 283ca6dc9d4147debc60bf9fc3fbbe03               # 空数据账号 (测试)
#    access-token: eea44503a2f64c119fb0acd2006dacb0
#    -----------------------------------------------
#    app-key: dccdccaae6634c25a9c38a97462338ee              # 子账号 Mure
#    access-token: 32b02f0cb2ab4006b9f3fc9dd2ff4235
#    -----------------------------------------------
#    app-key: dccdccaae6634c25a9c38a97462338ee               # 主账号
#    access-token: 32b02f0cb2ab4006b9f3fc9dd2ff4235
#    -----------------------------------------------
    app-key: 9d66c73a8a694333b5244447edd62576              # 测试账号 yuyangtest01 (账号 -> 数智人平台 -> 资产管理)
    access-token: c47f22402e7c43818b254ef116dc7787

# 抖音云
douyin:
  tos:
    region: cn-beijing
    endpoint: tos-cn-beijing.volces.com
    domain: https://tt8742f1ff1875cd2201-env-33n84bi3xr.tos-cn-beijing.volces.com
    bucket-name: tt8742f1ff1875cd2201-env-33n84bi3xr
    access-key-id: AKLTNmFiMjBjMTZjZDYxNDlhZmI2OTc2M2U4MWZlODhhNGY
    secret-access-key: TVRjME9UUmhabUZtWW1JNU5EWXhORGhoWVdJME16Z3pNbUprWkRKa1lqTQ==

# 百度
baidu:
  ai:
    client-id: VtEo9VpnMzRzuefomiZcLv9W
    client-secret: VzHHaGdBnVM5cTrwG71x9N6ddVqTTPh8

# DeepSeek R1
deepseek-r1:
#  domain: http://localhost:11434
#  domain: https://1wd05129tf963.vicp.fun
  domain: http://10ue610iy6063.vicp.fun

# DeepSeek API
deepseek-api:
  url: https://api.deepseek.com
  api-key: sk-6078a4ceee5443128ce74a23538dd54e

# 博查
bocha:
  url: https://api.bochaai.com
  api-key: sk-031dc43fb26b41b28414f1c7af8ae707


# 微信
wechat:
  miniprogram:
#     # 未开白名单的APPID
#     appid: wx159b7ad079a34fa1
#     app-secret: 7671bcb556dd8a48052f1f669d70b643
     appid: wx3c789d9920a0f98f
     app-secret: c713a96ac6df5abb9b7edb80fdc41e8b
